 <?php 
 	/**
    * Example: config: {"remove_option_all":false, "add_init_option":false, "init_value":"", "init_label":"Select"}
	*/
    
	class Language_Selector {
        private $config = null;
        private $language = null;
        private $cuppa = null;
		public function GetItem($name, $value = "", $config = NULL, $required = false, $errorMessage = "", $eventsString = "", $language_file = null){
		      $this->cuppa = Cuppa::getInstance();
              $this->config = json_decode($config);
		      $this->language = LanguageManager::getInstance()->load();
              if($language_file) $this->language = $language_file;
              $languages = Cuppa::getInstance()->language->getLanguageFiles();
		      $field =  "<select name='".$name."' id='".$name."' >";
              //++ All
                  $add_all = true;
                  if(@$this->config->remove_option_all){ $add_all = false; }
                  if($add_all){
                      $field .= "<option value=''>".$this->cuppa->language->getValue("All", $this->language)."</option>";
                  }
              //--
              //++ Init value
                if(@$this->config->add_init_option){
                    $field .= "<option value='".@$this->config->init_value."'>".@$this->config->init_label."</option>";
                }
              //--
              //++ Languages
                    for($i = 0; $i < count($languages); $i++){
                        $label = $this->cuppa->language->getValue($languages[$i], $this->language);
                        if($value == $languages[$i])
                            $field .= "<option value='".$languages[$i]."' selected='selected'>".$label."</option>";
    				    else
                            $field .= "<option value='".$languages[$i]."' >".$label."</option>";
                    }
              //--
              $field .= "</select>";
              return $field;
		}
	}
?>