<?php
	// Check if the directory installation exist
	    if(is_dir('installation')) header ("Location: installation/");
    // Import GlobalClass
        require("classes/Cuppa.php");
        $cuppa = new Cuppa();
	// Validate secure login
		if($cuppa->configuration->secure_login && !$cuppa->getSessionVar("secure")){
			if($cuppa->configuration->secure_login_value != @$_REQUEST["secure"]){
                header ("Location: " . $cuppa->configuration->secure_login_redirect);
            }else{
                $cuppa->setSessionVar("secure", 1);
                header ("Location: " . $cuppa->getPath());
            }
        }
	// Validate user
		if(@$_POST["task"] == "login"){ $cuppa->user->setSession(); header("Location: ".$cuppa->getPath()); }
		else if(@$_REQUEST["task"] == "logout"){
		  $cuppa->user->destroy($cuppa->getPath(), true);
		} 
    // Defined language / and load language defined
        if(@$_POST["language"]){
            $cuppa->language->setCurrentLanguage($_POST["language"]);
        }else if(!@$cuppa->language->getCurrentLanguage()){
            $cuppa->language->setCurrentLanguage($cuppa->configuration->language_default);
        }
    // If is no valid language
        if(!$cuppa->language->validLanguage( $cuppa->language->getCurrentLanguage() ) ){
            $cuppa->language->setCurrentLanguage($cuppa->configuration->language_default);
        }
        $default_language = $cuppa->language->load();
    // Load Template
        require("templates/".$cuppa->configuration->administrator_template."/index.php");
?>