<?php
	//++ Functions
		function saveTableManager(){
            @session_start();
            include_once(realpath(__DIR__ . '/../../..')."/classes/Cuppa.php");
            $cuppa = Cuppa::getInstance();
            $infoColumbs = $cuppa->dataBase->getColums($_POST["table_name"]);
            $data_to_save = array();
            for($i = 0; $i < count($infoColumbs); $i++){
            		$array = array();
            		$array["type"] = mysql_real_escape_string($_POST[$infoColumbs[$i]."_field"]);
            		$array["label"] = mysql_real_escape_string($_POST[$infoColumbs[$i]."_label"]);
            		if(isset($_POST[$infoColumbs[$i]."_showList"])) $array["showList"] = 1; else $array["showList"] = 0;
                    if(isset($_POST[$infoColumbs[$i]."_includeDownload"])) $array["includeDownload"] = 1; else $array["includeDownload"] = 0;
            		if(isset($_POST[$infoColumbs[$i]."_required"])) $array["required"] = 1; else $array["required"] = 0;
            		if(isset($_POST[$infoColumbs[$i]."_language_button"])) $array["language_button"] = 1; else $array["language_button"] = 0;
            		
                    if(isset($_POST[$infoColumbs[$i]."_field_config"])) $array["config"] = $_POST[$infoColumbs[$i]."_field_config"];
            	$data_to_save[$infoColumbs[$i]] = $array;
            }
            // More info
                $data_to_save["show_list_like_tree"] = (@$_POST["show_list_like_tree"]) ? 1 : 0;
                $data_to_save["show_list_like_tree_column"] = @$_POST["show_list_like_tree_column"];
                $data_to_save["show_list_like_tree_validate"] = @$_POST["show_list_like_tree_validate"];
                $data_to_save["show_list_like_tree_indicator"] = @$_POST["show_list_like_tree_indicator"];
                $data_to_save["language_file_reference"] = @$_POST["language_file_reference"];
                $data_to_save["custom_table_name"] = @$_POST["custom_table_name"];
                $data_to_save["custom_table_name_language_reference"] = (@$_POST["custom_table_name_language_reference"]) ? 1 : 0;
                $data_to_save["order_by"] = @$_POST["order_by"];
                $data_to_save["order_by_order"] = @$_POST["order_by_order"];
                $data_to_save["link_indicator"] = @$_POST["link_indicator"];
                $data_to_save["list_limit"] = @$_POST["list_limit"];
                
            $data_to_save["primary_key"] = $_POST["primary_key"];
            $data_to_save["option_panel"] = $_POST["option_panel"];
            $data_to_save["include_file"] = $_POST["include_file"];
            $data_to_save["tabs"] = $_POST["tabs"];
            $json = base64_encode(json_encode($data_to_save));
            if(isset($_POST["id"])) $data["id"] = "'".$_POST["id"]."'"; else $data["id"] = "'0'";
            $data["table_name"] = "'".$_POST["table_name"]."'";
            $data["params"] = "'".$json."'";
            $result = $cuppa->dataBase->add($cuppa->configuration->table_prefix."tables", $data, true, true);
            echo (@$result->id) ? @$result->id : 0;
        }
        // Receive array of ids
        function deleteTableManager(){
            @session_start();
            include_once(realpath(__DIR__ . '/../../..')."/classes/Cuppa.php");
            $cuppa = Cuppa::getInstance();
            $_POST["ids"] = $cuppa->dataHelp->jsonDecode($_POST["ids"]);
            for($i = 0; $i < count($_POST["ids"]); $i++){ 
                $info = $cuppa->dataBase->getRow($cuppa->configuration->table_prefix."tables", "id='".$_POST["ids"][$i]."'", true);
                $cuppa->dataBase->delete($cuppa->configuration->table_prefix."tables_log", "table_name='".$info->table_name."'");
                $cuppa->dataBase->delete($cuppa->configuration->table_prefix."tables", "id='".$info->id."'");
            }
            echo 1;
        }
        function saveAdminTable(){
            @session_start();
            include_once(realpath(__DIR__ . '/../../..')."/classes/Cuppa.php");
            $cuppa = Cuppa::getInstance();
            $db = $cuppa->dataBase;
            $configuration = $cuppa->configuration;
            $view = $cuppa->POST("view");
            $field_types = $db->getList($configuration->table_prefix."tables", "table_name = '".$view."'");
			$field_types = json_decode(base64_decode($field_types[0]["params"]));
			$infoColumns = $db->getColums($view);
			$data_to_save = array();
            
            for($i = 0; $i < count($infoColumns); $i++){
                $field_type = $field_types->$infoColumns[$i];
                $configuration_params = $cuppa->dataHelp->jsonDecode(@$field_type->config,true);
			    if(@$_REQUEST[$infoColumns[$i]."_field"] !== null){
				    //++ Password 
                        if(@$configuration_params->type == "password" && @$_REQUEST[$infoColumns[$i]."_field"]){
                            $encode = ($configuration_params->encode == "global_encode") ?  $configuration->global_encode : $configuration_params->encode;
                            if($encode == "md5") $_REQUEST[$infoColumns[$i]."_field"] = md5(mysql_real_escape_string( $_REQUEST[$infoColumns[$i]."_field"] ));
                            else if($encode == "sha1" ) $_REQUEST[$infoColumns[$i]."_field"] = sha1(mysql_real_escape_string( $_REQUEST[$infoColumns[$i]."_field"] ));
                            else if($encode == "sha1Salt" ) $_REQUEST[$infoColumns[$i]."_field"] = $cuppa->dataHelp->sha1Salt(mysql_real_escape_string( $_REQUEST[$infoColumns[$i]."_field"] ), $configuration->global_encode_salt);
                        }
                    //--
				    if(@is_array(@$_REQUEST[$infoColumns[$i]."_field"]) || @is_object(@$_REQUEST[$infoColumns[$i]."_field"])){
                        @$_REQUEST[$infoColumns[$i]."_field"] = json_encode(@$_REQUEST[$infoColumns[$i]."_field"]);
                    }
                    $data_to_save[$infoColumns[$i]] = "'".trim(str_replace("\\\\", "\\",str_replace("'","\'",@$_REQUEST[$infoColumns[$i]."_field"])))."'";
                }
			}
            $result = $db->add($view, $data_to_save, true, true);
            //++ insert on log_table
                $primary_key = $field_types->primary_key;
                $data_to_save_table_log = new stdClass();
                $data_to_save_table_log->table_name = "'".@$view."'";
                $data_to_save_table_log->date_update = "NOW()";
                // New Register / update Reguster  
                    if(!$data_to_save[$primary_key] || $data_to_save[$primary_key] == "'0'"){
                        $data_to_save_table_log->user_id_creator = "'".@$cuppa->user->getVar("id")."'";
                        $data_to_save_table_log->user_id_update = "'".@$cuppa->user->getVar("id")."'";
                        $data_to_save_table_log->reference_id = "'".@$result->$primary_key."'";
                        $data_to_save_table_log->date_registered = "NOW()";
                    }else{
                        $data_to_save_table_log->user_id_update = "'".@$cuppa->user->getVar("id")."'";
                        $data_to_save_table_log->reference_id = @$data_to_save[$primary_key];
                    }
                $data_to_save_table_log->date_updating = "'0000-00-00 00:00:00'";
                if(!$db->add($configuration->table_prefix."tables_log", $data_to_save_table_log)){
                    $db->insert($configuration->table_prefix."tables_log", $data_to_save_table_log);
                }
            //--
            $pk = $field_types->primary_key;
            echo (@$result->$pk) ? @$result->$pk : 0;
        }
	//--
	//++ Handler
		$nameFunction = htmlspecialchars($_POST["function"]);
		if($nameFunction == ""){ echo "function name no found"; exit();}
		$nameFunction();
	//--
?>